summaryrefslogtreecommitdiffstats
path: root/cli/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cli/autogen.sh')
-rwxr-xr-xcli/autogen.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/cli/autogen.sh b/cli/autogen.sh
new file mode 100755
index 0000000..e76d3ef
--- /dev/null
+++ b/cli/autogen.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+run ()
+{
+ echo "running: $*"
+ eval $*
+
+ if test $? != 0 ; then
+ echo "error: while running '$*'"
+ exit 1
+ fi
+}
+
+run aclocal
+run libtoolize -f
+#run autoheader
+run automake -a
+run autoconf